package com.czg.order.enums;

import lombok.Getter;
import lombok.RequiredArgsConstructor;

import java.util.Arrays;
import java.util.List;

/**
 * @author ww
 */

@Getter
@RequiredArgsConstructor
public enum PayEnums {

    /**
     * 主扫
     */
    MAIN_SCAN("main_scan", "二维码收款"),
    /**
     * 被扫
     */
//    BACK_SCAN("back_scan", "被扫"),
    BACK_SCAN("back_scan", "扫码收款"),
    /**
     * 微信小程序
     */
    WECHAT_MINI("wechat_mini", "微信小程序"),
    /**
     * 支付宝小程序
     */
    ALIPAY_MINI("alipay_mini", "支付宝小程序"),
    /**
     * 会员支付
     */
    VIP_PAY("vip_pay", "会员支付"),
    /**
     * 现金支付
     */
    CASH_PAY("cash_pay", "现金支付"),
    /**
     * 挂账支付
     */
    CREDIT_PAY("credit_pay", "挂账支付"),
    /**
     * 霸王餐支付
     */
    FREE_PAY("free_pay", "霸王餐支付"),
    /**
     * h5支付
     */
    H5_PAY("h5_pay", "H5支付");


    private final String value;
    private final String msg;


    public static List<String> getValues() {
        return Arrays.stream(values()).map(PayEnums::getValue).toList();
    }

}
